map $ssl_server_name $pocketbase {
  {% for pocketbase in pocketbases %}
    pocketbase.{{ pocketbase.site }} {{ pocketbase.name }}.{{ inventory_hostname }}:{{ pocketbase.port | default("8090") }};
  {% endfor %}
}

server {
  server_name
    {% for pocketbase in pocketbases %}
      pocketbase.{{ pocketbase.site }}
    {% endfor %}
  ;

  access_log syslog:server=unix:/tmp/access_log.socket,nohostname access_logd;

{% if inventory_hostname in groups.sutty_certbot %}
  include snippets/acme.conf;
{% else %}
  # Redirect to "Central Validation Server"
  location ^~ /.well-known/acme-challenge/ {
    return 301 http://certbot.{{ sutty }}$request_uri;
  }
{% endif %}

  listen 80;
  listen 443 ssl http2;

  add_header Cache-Control no-cache;
  add_header Strict-Transport-Security "max-age=31536000; includeSubDomains; preload";
  add_header Referrer-Policy "strict-origin-when-cross-origin";
  add_header Permissions-Policy "interest-cohort=()";

  ssl_certificate /etc/letsencrypt/live/$ssl_server_name/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/$ssl_server_name/privkey.pem;
  ssl_session_timeout 1d;
  ssl_session_cache shared:SSL:10m;
  ssl_session_tickets off;
  # Basado en https://ssl-config.mozilla.org/#server=nginx&version=1.22.1&config=intermediate&openssl=3.0.10&guideline=5.7
  ssl_protocols TLSv1.2 TLSv1.3;
  ssl_ciphers ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:DHE-RSA-CHACHA20-POLY1305;
  ssl_early_data on;

  if ($redirect_to_https) {
    return 301 https://$http_host$request_uri;
  }

  location / {
    gzip on;
    gzip_proxied private;

    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header X-Forwarded-Ssl on;
    proxy_set_header X-Forwarded-Port $server_port;
    proxy_set_header X-Forwarded-Host $http_host;
    proxy_set_header Host $http_host;

    proxy_pass http://$pocketbase;
  }
}
